Name:           glite-lb-common
Version:        9.0.8
Release:        2%{?dist}
Summary:        gLite Logging and Bookkeeping common headers and library

License:        ASL 2.0
Url:            http://glite.cern.ch
Source:         http://scientific.zcu.cz/emi/emi.lb.common/%{name}-%{version}.tar.gz
# https://bugzilla.redhat.com/show_bug.cgi?id=1040396
# https://github.com/CESNET/glite-lb/issues/20
Patch0:         ppc-params.patch

BuildRequires:  c-ares-devel
%if 0%{?rhel}
BuildRequires:  classads-devel
%else
BuildRequires:  condor-classads-devel
%endif
BuildRequires:  cppunit-devel
BuildRequires:  expat-devel
BuildRequires:  glite-jobid-api-cpp-devel
BuildRequires:  glite-jobid-api-c-devel
BuildRequires:  glite-lbjp-common-gss-devel
BuildRequires:  glite-lbjp-common-trio-devel
BuildRequires:  libtool
BuildRequires:  glite-lb-types
BuildRequires:  perl
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(POSIX)
BuildRequires:  pkgconfig

%description
glite-lb-common is a package containing gLite LB common files shared by client
and daemons. This package contains the LB common library.


%package        devel
Summary:        Development files for gLite L&B common library
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       glite-jobid-api-c-devel%{?_isa}
Requires:       glite-lb-types
Requires:       glite-lbjp-common-gss-devel%{?_isa}

%description    devel
This package contains development libraries and header files for gLite L&B
common library.


%prep
%setup -q
%patch0 -p2


%build
perl ./configure --root=/ --prefix=%{_prefix} --libdir=%{_lib} --module lb.common
CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make %{?_smp_mflags}


%check
CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make check


%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%doc LICENSE project/ChangeLog
%{_libdir}/libglite_lb_common.so.16
%{_libdir}/libglite_lb_common.so.16.*

%files devel
%{_includedir}/glite/lb/*
%{_libdir}/libglite_lb_common.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri Dec 20 2013 František Dvořák <valtri@civ.zcu.cz> - 9.0.8-2
- Patch to fix build on 32-bit PPC (#1040396)

* Fri Nov 22 2013 František Dvořák <valtri@civ.zcu.cz> - 9.0.8-1
- New release 9.0.8 (L&B 4.0.12)
- Parallel build and pkg-config patches not needed anymore

* Thu Sep 26 2013 František Dvořák <valtri@civ.zcu.cz> - 9.0.7-3
- Rebuild with condor 8.1.1 (libclassad.so.6)

* Sun Sep 01 2013 František Dvořák <valtri@civ.zcu.cz> - 9.0.7-2
- Replace find command by wildcards
- Use the newer condor-classads-devel instead of classads on Fedora

* Mon Aug 26 2013 František Dvořák <valtri@civ.zcu.cz> - 9.0.7-1
- Initial package
